# Uses of Class
jspecview.dialog.DialogManager

Packages that use DialogManager
Package
Description
jspecview.common
jspecview.dialog
jspecview.java
jspecview.js2d

## Uses of DialogManager in jspecview.common

Methods in jspecview.common that return DialogManager
Modifier and Type
Method
Description
`DialogManager`
JSViewer.`getDialogManager()`

## Uses of DialogManager in jspecview.dialog

Fields in jspecview.dialog declared as DialogManager
Modifier and Type
Field
Description
`protected DialogManager`
JSVDialog.`manager`
Methods in jspecview.dialog that return DialogManager
Modifier and Type
Method
Description
`DialogManager`
DialogManager.`set(JSViewer viewer)`
Methods in jspecview.dialog with parameters of type DialogManager
Modifier and Type
Method
Description
`protected void`
JSVDialog.`addUniqueControls(DialogManager dialogHelper)`

## Uses of DialogManager in jspecview.java

Subclasses of DialogManager in jspecview.java
Modifier and Type
Class
Description
`class`
`AwtDialogManager`
just a class I made to separate the construction of the AnnotationDialogs from their use
Fields in jspecview.java declared as DialogManager
Modifier and Type
Field
Description
`protected DialogManager`
AwtDialog.`manager`
Constructors in jspecview.java with parameters of type DialogManager
Modifier
Constructor
Description
``
`AwtDialog(DialogManager manager, JSVDialog jsvDialog, String registryKey)`

## Uses of DialogManager in jspecview.js2d

Subclasses of DialogManager in jspecview.js2d
Modifier and Type
Class
Description
`class`
`JsDialogManager`
A DialogManager for JavaScript.
Fields in jspecview.js2d declared as DialogManager
Modifier and Type
Field
Description
`protected DialogManager`
JsDialog.`manager`
Constructors in jspecview.js2d with parameters of type DialogManager
Modifier
Constructor
Description
``
`JsDialog(DialogManager manager, JSVDialog jsvDialog, String registryKey)`